Are you sure you’re getting Solids, not just the Geometry? There is a Element.Geometry node and a Element.Solids node and I don’t know much about Python scripting but it sounds like it’s getting Geometry (in the sense of lines, surfaces, etc.) rather than Solids?
But as @mellouze says, wouldn’t it be simpler to graph this instead?
hi @Peter_Kompolschek , even though wallsolid and iwallsolid show “Autodesk.Revit.DB.Solid” when output, those are actually GeometryElements . You can convert them to lists and get the first items like this:
wallsolid = list(walllist[i].get_Geometry(options))[0] # this creates wall solid 1
iwallsolid = list(iwalllist[i].get_Geometry(options))[0] # this creates wall solid 2